# Uses of Class
com.logicaldoc.core.communication.SystemMessage

Packages that use SystemMessage
Package
Description
com.logicaldoc.core.communication
Classes that model emails and messages and the machinery to work with them.

## Uses of SystemMessage in com.logicaldoc.core.communication

Methods in com.logicaldoc.core.communication that return SystemMessage
Modifier and Type
Method
Description
`SystemMessage`
HibernateSystemMessageDAO.SystemMessageMapper.`mapRow(ResultSet rs, int rowNum)`
Methods in com.logicaldoc.core.communication that return types with arguments of type SystemMessage
Modifier and Type
Method
Description
`List<SystemMessage>`
HibernateSystemMessageDAO.`findByMode(String mode)`
`List<SystemMessage>`
SystemMessageDAO.`findByMode(String mode)`
This method selects all the messages for the specified mode
`List<SystemMessage>`
HibernateSystemMessageDAO.`findByRecipient(String recipient, int type, Integer read)`
`List<SystemMessage>`
SystemMessageDAO.`findByRecipient(String recipient, int type, Integer read)`
This method selects all the messages for the specified recipient and type
`List<SystemMessage>`
HibernateSystemMessageDAO.`findByType(int type)`
`List<SystemMessage>`
SystemMessageDAO.`findByType(int type)`
This method selects all the messages for the specified type
`List<SystemMessage>`
HibernateSystemMessageDAO.`findMessagesToBeSent(int type, int maxTrial)`
`List<SystemMessage>`
SystemMessageDAO.`findMessagesToBeSent(int type, int maxTrials)`
This method selects all the messages for the specified type that are not been already sent and for which the number of sending trials is less than the maximum number (parameter 'notifier.maxtrials')
Methods in com.logicaldoc.core.communication with parameters of type SystemMessage
Modifier and Type
Method
Description
`void`
HibernateSystemMessageDAO.`initialize(SystemMessage message)`
`void`
HibernateSystemMessageDAO.`store(SystemMessage message)`
Constructors in com.logicaldoc.core.communication with parameters of type SystemMessage
Modifier
Constructor
Description
``
`SystemMessage(SystemMessage source)`